Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Any_out Class Reference

`#include <Any.h>`

Collaboration diagram for CORBA::Any_out:

[legend]
List of all members.

## Public Methods
| Any_out (Any *&)
| Any_out (Any_var &)
| Any_out (const Any_out &)
Any_out & | operator= (const Any_out &s)
| Assignment from a Any_out.
Any_out & | operator= (Any *)
| Assignment from a Any.
| operator Any *& ()
| Cast.
Any *& | ptr (void)
| Return underlying instance.
Any * | operator-> (void)
## Private Methods
void | operator= (const Any_var &)
| Assignment from _var disallowed.
## Private Attributes
Any *& | ptr_
| Instance.

## Constructor & Destructor Documentation

ACE_INLINE CORBA::Any_out::Any_out | ( | Any *& |  | ) |

ACE_INLINE CORBA::Any_out::Any_out | ( | Any_var & |  | ) |

ACE_INLINE CORBA::Any_out::Any_out | ( | const Any_out & |  | ) |

## Member Function Documentation

CORBA::Any_out::operator Any *& | ( |  | ) |

| Cast.

ACE_INLINE CORBA::Any * CORBA::Any_out::operator-> | ( | void |  | ) |

void CORBA::Any_out::operator= | ( | const Any_var & |  | ) | `[private]`

| Assignment from _var disallowed.

ACE_INLINE CORBA::Any_out & CORBA::Any_out::operator= | ( | Any * |  | ) |

| Assignment from a Any.

ACE_INLINE CORBA::Any_out & CORBA::Any_out::operator= | ( | const Any_out & | s | ) |

| Assignment from a Any_out.

ACE_INLINE CORBA::Any *& CORBA::Any_out::ptr | ( | void |  | ) |

| Return underlying instance.

## Member Data Documentation

Any*& CORBA::Any_out::ptr_`[private]`

| Instance.

The documentation for this class was generated from the following files:

- Any.h
- Any.i